﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Rocket_Defense
{   
    /*  Slug class inherits from SpaceWeapon.
     *  It contains all values for enemy weapon
     *  'Slug'. It is used to track the position 
     *  of enemy slug and update it.
    */
    class Slug : SpaceWeapon
    {
        public Slug(Vector2 position, float width, float height, float speed)
            :base(position,width,height,2*speed)
        {
            _damage = 25;
            _points = 50;
        }


    }
}
