﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;


namespace Rocket_Defense
{
    /*  Bomb class inherits from SpaceWeapon.
     *  Is designed to hold values associated with 
     *  standard enemy weapon 'bomb'. This class is 
     *  used to advance a bomb and return its points
     *  and damage if necessary.
    */
    class Bomb : SpaceWeapon
    {
        // calls spaceweapon constructor, assigns defautl damage and points values.
        public Bomb(Vector2 position, float width, float height, float speed)
           :base(position,width,height,speed)
        {
            _damage = 50;
            _points = 25;
        }

    }
}
